prajzsolid
Mechanical
I am trying to search a geometric set in the geometric tree I created. Below is the code I have
sPrefix = InputBox("String for prefix", "input", "prefix") ''Ask for Input from the User
HBody.Name = "Route" & CStr(sPrefix) '''Rename the geometric set based on user input
Set seltest = partDocument1.Selection '' I start a selection
Dim t As String
t = "Route" & CStr(sPrefix)
MsgBox t
seltest.Search ".Geometrical Set.Name= t*;All"
I want to search for the geoset from the name generated by the user to find out if there is already an existing geoset with a similar name.
Please help me with the search Syntax in my case, or propose any way to search if there is already a geoset existing with a given name.
sPrefix = InputBox("String for prefix", "input", "prefix") ''Ask for Input from the User
HBody.Name = "Route" & CStr(sPrefix) '''Rename the geometric set based on user input
Set seltest = partDocument1.Selection '' I start a selection
Dim t As String
t = "Route" & CStr(sPrefix)
MsgBox t
seltest.Search ".Geometrical Set.Name= t*;All"
I want to search for the geoset from the name generated by the user to find out if there is already an existing geoset with a similar name.
Please help me with the search Syntax in my case, or propose any way to search if there is already a geoset existing with a given name.